Create tag
Create a new tag. Requires a private API key.
POST
/
v1
/
tags
Create tag
curl --request POST \
--url https://api.marblecms.com/v1/tags \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "JavaScript",
"slug": "javascript",
"description": "JavaScript tutorials and guides"
}
'import requests
url = "https://api.marblecms.com/v1/tags"
payload = {
"name": "JavaScript",
"slug": "javascript",
"description": "JavaScript tutorials and guides"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'JavaScript',
slug: 'javascript',
description: 'JavaScript tutorials and guides'
})
};
fetch('https://api.marblecms.com/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tag": {
"id": "cryitfjp4567no07ygqadhm1",
"name": "JavaScript",
"slug": "javascript",
"description": "JavaScript tutorials and guides"
}
}{
"error": "Invalid query parameters",
"details": [
{
"field": "limit",
"message": "Expected number, received string"
}
],
"message": "Validation failed"
}{
"error": "Forbidden",
"message": "Write operations require a private API key (msk_...). Public keys are read-only."
}{
"error": "Slug already in use",
"message": "A resource with this slug already exists in this workspace"
}{
"error": "Internal server error",
"message": "Failed to fetch resource"
}Authorizations
Your Marble API key
Body
application/json
Response
Tag created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create tag
